The tag has no wiki summary.

learn more… | top users | synonyms

3
votes
2answers
4k views

EPEL Repo for CentOS 6 causing error

I've got a VM running CentOS 6 (64bit) and I'm attempting to add the EPEL repo like usual to install various packages as I do quite regularly. Today, I'm experiencing some strange errors yet I'm ...
1
vote
1answer
38 views

transitioning packages to EPEL version

I have previously installed backuppc 3.1.0 from centos 5 testing. The package is now not maintaned by centos anymore. EPEL have BackupPC version 3.3.0, but yum check-update did not suggest that this ...
0
votes
2answers
197 views

Upgrade R to 3.1.1 on ec2 via yum

I have an ec2 instance with an older version (3.0.2) of R that I'm trying to update to the latest (3.1.1). This is not available in the default yum repo, but is available under EPEL. The installed ...
0
votes
1answer
59 views

Update power dns from EPEL repo

I'm using EPEL repo on Centos 6. If I start update for power dns with mysql backend - so please - must I update mysql schema manually, or YUM will do this self? Thank youů
1
vote
0answers
209 views

Enable the EPEL repository on AWS Elastic Beanstalk

I need to install some tools from the Extra Packages for Enterprise Linux repository (EPEL) that are not available in the default repositories of the Amazon Linux AMI. /etc/yum.repos.d/epel.repo ...
2
votes
2answers
2k views

centos 6 epel alternative repository replacement

I've installed EPEL repository already on my server. I wanted to install something new and I get this error with yum : PYCURL ERROR 22 - "The requested URL returned error: 403 Forbidden" Trying ...
2
votes
1answer
3k views

install php-mcrypt Centos 6

I'm trying for a few days now to install php-mcrypt on Centos 6 64bit, but I get this error [root@cimpan tmp]# yum install php-mcrypt Loaded plugins: fastestmirror Loading mirror speeds from cached ...
0
votes
1answer
154 views

opendkim requires libcrypto [duplicate]

I am trying to install opendkim. For that, I used rpm to install epel, then did yum install opendkim. However, I get the following dependency errors: Error: Package: opendkim-2.9.0-2.el6.x86_64 ...
0
votes
2answers
834 views

Centos: Clamd and Razor-agents dependency failure on yum update when EPEL is enabled

I want to install Gitlab 6 to my CentOS 6.4 x64 server. I'm following the tutorial and enable EPEL with this command: rpm -Uvh ...
2
votes
1answer
63 views

monit not able to monitor mysql with sock

Just in case if you are using Monit version 5.1.1 and try to monitor mysql with sock it will always fail with "Connection failed" my monit configuration file is: check process mysql with pidfile ...
1
vote
3answers
835 views

EPEL broken package : How do I reach to EPEL maintainer?

.. it looks like at least two of packages that comes from EPEL is broken: [alexus@wcmisdlin02 ~]$ sudo yum update --skip-broken Loaded plugins: refresh-packagekit, security Setting up Update Process ...
0
votes
2answers
979 views

Updating epel repo to 6 - epel-release-6-x.noarch conflicts with file from package epel-release-5-x.noarch

I am following an epel repo upgrade guide from Centos 5 to Centos 6 here (http://www.thegeekstuff.com/2012/06/enable-epel-repository/ and ...
0
votes
1answer
113 views

phpmyadmin vs EPEL

I am running Centos 6.0 (Final) , the i386 version. I am trying my hardest to get a decent LAMP Server running, with phpMyAdmin. I can get everything installed just fine, MySQL, Apache2 (httpd), PHP ...
2
votes
1answer
3k views

Broken dependencies on CentOS 6.4: can install nodejs but not npm

I'm using a fresh installed CentOS 6.4 (x86-64) with the EPEL repository. $ yum install nodejs ... $ node -v v0.10.5 So far, so good, but when I try to install npm, I'll get this error message: $ ...
6
votes
1answer
2k views

Installing from EPEL on Amazon EC2

I am trying to install fail2ban on our Amazon EC2 Linux AMI (CentOS). I know that fail2ban is in the EPEL so I have done the following: wget ...
0
votes
1answer
854 views

Can't get yum repository (ius) to install because of (epel) dependency that seems to be installed

So I'm trying to install the epel repository and then also install the ius repository. I'm managing this server with chef, and my run list goes ... "recipe[yum::yum]", "recipe[yum::epel]", ...
11
votes
5answers
7k views

Installing HAProxy on CentOS 6.3?

This is a weird one. I've installed the EPEL for CentOS 6 via # rpm -Uvh http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm The tried to install HAProxy: # yum update # yum ...
2
votes
1answer
417 views

centos: using epel repository on a server machine

Are there any downsides in enabling epel repository on a server machine or is it something every sysadmin does?
1
vote
3answers
972 views

Selinux blocks wordpress in CentOS 6.3

I installed wordpress 3.5 to CentOS 6.3 using command: yum install wordpress and started httpd. Now I can see the following error in apache log: PHP Fatal error: require_once(): Failed opening ...
2
votes
2answers
307 views

Verification of downloaded package with rpm

I wanted to install a package on CentOS 6 via rpm (e.g., the current epel-release). EDIT: Of course I would always prefer the installation via yum but somehow I failed to get that specific package ...
5
votes
1answer
387 views

When should one use EPEL 5 or EPEL 6?

I am not familiar with repos, and I don't get why there are several versions of EPEL (this is a bit philosophical I know, but I am afraid I am missing something in all that). Should I just look ...
5
votes
2answers
9k views

How can I install git on RHEL 6?

I'm trying to install Git on a RHEL6 development server, I have experience with Ubuntu but this is my first time working with RHEL (I'm a developer trying to fill in for a recently departed Linux ...
2
votes
2answers
1k views

Installing lighttpd on CentOS 6.3 yum 404 errors

I have a CentOS 6.3 x86_64 server and I am trying to install lighttpd. I have installed the EPEL repo on the server using the following: rpm -Uvh ...
0
votes
1answer
1k views

Centos 6, Plesk 11, EPEL 6 install problems

I'm having a real headache configuring a new server. It's a 64bit Linux box with Centos 6 and Plesk 11. This will be a Magento server, so I need mcrypt installed, which isn't available by default. ...
3
votes
3answers
9k views

Exclude a specific repo from YUM Update

I am doing a system wide yum update on RHEL 5.5 and the IUS EPEL repository is throwing a missing dependency error: php53-mcrypt-5.3.3-4.ius.el5.x86_64 from installed has depsolving problems --> ...
2
votes
2answers
122 views

CentOS EPEL install, bitness-independent command

I'm writing a small 'install script' and it requires EPEL on CentOS. The command (repo url) differs according to OS bitness, how do I unify this into one command? References: How to install EPEL I ...
0
votes
1answer
1k views

Install PEAR Mail/Mime Dependency issues in pure EPEL installation

Newbie in the sysadm area. Using Centos 6.2. I am trying to install PEAR's Mime.php. I have successfully installed PEAR's Mail before. It's not going to well now for Mime.php. This is what I do: ...
1
vote
2answers
5k views

install php-mcrypt on Centos 6

I'm trying to install php-mcrypt on my Centos 6.0, 64 bit, php 5.3.3. I'm using epel repo rpm -Uvh http://download.fedora.redhat.com/pub/epel/6/x86_64/epel-release-6-5.noarch.rpm, the last one. But ...
0
votes
1answer
294 views

EPEL & RPM Fusion for Servers?

Has anyone found EPEL & RPM Fusion to be stable enough for production servers? Currently running CentOS
4
votes
2answers
2k views

CentOS repositories: EPEL or rpmforge, which one is better and why?

So everyone who uses CentOS knows the default repositories have their limits. I've been using rpmforge for years as a secondary repo. I usually use yum priorities to make sure rpmforge never installs ...
4
votes
3answers
1k views

How to handle Puppet version differences between linux distributions

We're a small webdev shop that's investigating to roll out Puppet on various development and production servers. The puppetmaster is an Ubuntu 10.04 server with Puppet 0.25.4, from Ubuntu's repo. ...
1
vote
2answers
3k views

How do I install git/git-svn on RHEL5 with a custom perl install?

I've had nothing but trouble trying to install Git on RHEL5. First I tried from source, but ran into several issues with installing the docs. There appeared to be missing libs and such for parsing ...